eth_getUncleByBlockHashAndIndex - Optimism
Example code for the eth_getUncleByBlockHashAndIndex json-rpc method. Сomplete guide on how to use eth_getUncleByBlockHashAndIndex json-rpc in GetBlock.io Web3 documentation.
This method returns uncle (ommer) block information.
Parameters
blockHash
DATA, 32 Bytes
The hash of a block.
Yes
uncleIndex
QUANTITY
The uncle's index position in hex.
Yes
Request Sample
curl --location 'https://shared.us-east-1.getblock.io/<ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"method": "eth_getUncleByBlockHashAndIndex",
"params": [
"0x1648eed8c4befcf5a1e517bf07302bf4ab3ba61fb6a8669a506e0ba5784ae0f2",
"0x0"
],
"id": "getblock.io"
}'import axios from 'axios'
let data = JSON.stringify({
"jsonrpc": "2.0",
"method": "eth_getUncleByBlockHashAndIndex",
"params": [
"0x1648eed8c4befcf5a1e517bf07302bf4ab3ba61fb6a8669a506e0ba5784ae0f2",
"0x0"
],
"id": "getblock.io"
};
let config = {
method: "post",
maxBodyLength: Infinity,
url: "https://shared.us-east-1.getblock.io/<ACCESS_TOKEN>",
headers: {
"Content-Type": "application/json",
},
data: data,
};
axios
.request(config)
.then((response) => {
console.log(JSON.stringify(response.data));
})
.catch((error) => {
console.log(error);
});
Response
A successful response returns the following:
Response Parameters
id: A unique request identifier, matching theidsent in the request body.jsonrpc: Specifies the use of JSON-RPC version 2.0.result: Uncle block object or null (typically null on Optimism).
Use Case
The eth_getUncleByBlockHashAndIndex method is commonly used for:
Ethereum compatibility
API completeness
Error handling
404
Not Found
Missing or invalid ACCESS_TOKEN.
-32602
Invalid argument
Invalid block hash
Invalid index
Last updated
Was this helpful?